/***************************************************************************
                   Convert Service Change Header ( ConvertServiceChange.h )
                -----------------------------------------

	begin      : 2013/03/14
	copyright  : (C) 2013 Solbox Inc.
	author     : Development 1 Team
					- 2013/03/14 - 1st dadamin
	email      : dev1@solbox.com
	version    : 3.2.0

	CopyRight(C) 2005 Solbox Inc. All Rights reserved.
	Redistribution and use in source and binary forms, with or with out
	modification, are not permitted in outside of Solbox Inc.
***************************************************************************/
#ifndef __CONVERT_SERVICE_CHANGE_H__
#define __CONVERT_SERVICE_CHANGE_H__

class CConvert;

class CConvertServiceChange : public CConvert
{
public:
	CConvertServiceChange(string subkey = "");
	virtual ~CConvertServiceChange();

	virtual int ToJobData(int nServiceType, void* pFrom, void *pTo);
	virtual void *ToClientData(int nServiceType, int nEnd, void* pFrom, int & outlen);
protected:
	
private:
	string	m_subkey;
};

#endif // __CONVERT_SERVICE_CHANGE_H__
